<template>
	<div class="g_bg_page">
		<view class="g_flex_column_between g_flex_1" style=" height: 100%; padding-top: 100px">
			<view class="g_flex_column_start flex_center">
				<view class="iconfont icon-info-circle-fill g_c_027" style="font-size: 80px"> </view>
				<view class="g_fs_17 g_mb_16 g_mt_16"> 温馨提示 </view>
				<view class="g_fs_13 g_c_9 g_mb_32 g_text_c g_ml_20 g_mr_20"> {{ "你好，此服务仅限人力资源行业受邀商家登录，请确认。" }} </view>
			</view>

			<view class="" style="margin-bottom: 80px">
				<g-button :btnText="'登录查看'" type="primary" @clickBtn="goPage('/root/other/tobeAgencyChoose')" />
				<view class=""></view>
				<!-- <view class="g_c_sub g_flex_row_center flex_center g_fs_14 g_mt_32" @click="serverPopShow = true"> <i class="iconfont icon-kefu"> </i>联系客服 </view> -->
			</view>
		</view>
		<u-popup v-model="serverPopShow" mode="center" :mask-close-able="false" :closeable="true" @close="serverPopShow = false" border-radius="30">
			<view style="">
				<view style="text-align: center; font-size: 16px; color: #333; font-weight: 500; margin-bottom: 32px; padding-top: 32px">加客服微信</view>
				<view style="padding: 64px; padding-top: 0">
					<image :src="serviceInfo.qrCode" alt="" @longpress="downLoadImg" show-menu-by-longpress style="width: 184px; height: 184px" />
				</view>
			</view>
		</u-popup>
	</div>
</template>

<script>
export default {
	data() {
		return {
			userInfo: {},
			isLogin: false,
			serverPopShow: false,
			serviceInfo: {},
		};
	},
	created() {
		let that = this;
		that.userInfo = uni.getStorageSync("apply-userinfo");
		that.isLogin = uni.getStorageSync("apply-token") ? true : false;
		// this.serviceInfo = uni.getStorageSync("bc-server");
	},

	methods: {
		goPage(url) {
			this.G.isLogin();
			if (this.G.isLogin()) {
				uni.navigateTo({
					url,
				});
			}
		},
	},
};
</script>

<style></style>
